GWT 2.7.0

## com.google.gwt.typedarrays.client
Class Int8ArrayNative

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.typedarrays.client.ArrayBufferViewNative
              com.google.gwt.typedarrays.client.Int8ArrayNative

All Implemented Interfaces:
  ArrayBufferView, Int8Array

    public final class Int8ArrayNative

extends ArrayBufferViewNative
implements Int8Array

JS native implementation of `Int8Array`.

Field Summary

Fields inherited from interface com.google.gwt.typedarrays.shared.Int8Array
`BYTES_PER_ELEMENT`

Constructor Summary
`protected` | `Int8ArrayNative()`

Method Summary
`static Int8ArrayNative` | `create(ArrayBuffer buffer)`
`static Int8ArrayNative` | `create(ArrayBuffer buffer, int byteOffset)`
`static Int8ArrayNative` | `create(ArrayBuffer buffer, int byteOffset, int length)`
`static Int8ArrayNative` | `create(int length)`
`byte` | `get(int index)` Retrieve one element of this view.
`int` | `length()` The length in elements of this view.
`void` | `set(byte[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(byte[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(int[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(int[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(Int8Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` | `set(Int8Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`void` | `set(int index, int value)` Set one element in this view.
`Int8Array` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Int8Array` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

Methods inherited from class com.google.gwt.typedarrays.client.ArrayBufferViewNative
`buffer, byteLength, byteOffset`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView
`buffer, byteLength, byteOffset`

Constructor Detail

### Int8ArrayNative

    protected Int8ArrayNative()

Method Detail

### create

    public static Int8ArrayNative create(ArrayBuffer buffer)

  Parameters:
    `buffer` -
  Returns:
    a `Int8Array` instance

### create

    public static Int8ArrayNative create(ArrayBuffer buffer,
                                         int byteOffset)

  Parameters:
    `buffer` -
    `byteOffset` -
  Returns:
    a `Int8Array` instance

### create

    public static Int8ArrayNative create(ArrayBuffer buffer,
                                         int byteOffset,
                                         int length)

  Parameters:
    `buffer` -
    `byteOffset` -
    `length` -
  Returns:
    a `Int8Array` instance

### create

    public static Int8ArrayNative create(int length)

  Parameters:
    `length` -
  Returns:
    a `Int8Array` instance

### get

    public byte get(int index)

  Description copied from interface: `Int8Array`
  Retrieve one element of this view.

  Specified by:
    `get` in interface `Int8Array`
  Returns:
    the requested element

### length

    public int length()

  Description copied from interface: `Int8Array`
  The length in elements of this view.

  Specified by:
    `length` in interface `Int8Array`
  Returns:
    non-negative length

### set

    public void set(byte[] array)

  Description copied from interface: `Int8Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Int8Array`

### set

    public void set(byte[] array,
                    int offset)

  Description copied from interface: `Int8Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Int8Array`

### set

    public void set(int index,
                    int value)

  Description copied from interface: `Int8Array`
  Set one element in this view.

  Specified by:
    `set` in interface `Int8Array`

### set

    public void set(int[] array)

  Description copied from interface: `Int8Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Int8Array`

### set

    public void set(int[] array,
                    int offset)

  Description copied from interface: `Int8Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Int8Array`

### set

    public void set(Int8Array array)

  Description copied from interface: `Int8Array`
  Set multiple elements in this view from another view, storing starting at 0.

  Specified by:
    `set` in interface `Int8Array`

### set

    public void set(Int8Array array,
                    int offset)

  Description copied from interface: `Int8Array`
  Set multiple elements in this view from another view, storing starting at the requested offset.

  Specified by:
    `set` in interface `Int8Array`

### subarray

    public Int8Array subarray(int begin)

  Description copied from interface: `Int8Array`
  Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

  Specified by:
    `subarray` in interface `Int8Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Int8Array` instance

### subarray

    public Int8Array subarray(int begin,
                              int end)

  Description copied from interface: `Int8Array`
  Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

  Specified by:
    `subarray` in interface `Int8Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
    `end` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Int8Array` instance

GWT 2.7.0